package cn.dg32z.lon.utils.data.packetentity;

import cn.dg32z.libs.com.github.retrooper.packetevents.manager.server.ServerVersion;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.attribute.Attributes;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.entity.type.EntityType;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.entity.type.EntityTypes;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion;
import cn.dg32z.lon.LonAntiCheat;
import cn.dg32z.lon.player.PlayerData;
import cn.dg32z.lon.utils.data.attribute.ValuedAttribute;
import java.util.UUID;

/* loaded from: cn_dg32z_lon_utils_data_packetentity.jar:cn/dg32z/lon/utils/data/packetentity/PacketEntityHorse.class */
public class PacketEntityHorse extends PacketEntityTrackYaw {
    public boolean isTame;
    public boolean isRearing;
    public boolean hasSaddle;

    public PacketEntityHorse(PlayerData playerData, UUID uuid, EntityType entityType, double d, double d2, double d3, float f) {
        super(playerData, uuid, entityType, d, d2, d3, f);
        this.isRearing = false;
        this.hasSaddle = false;
        this.isTame = false;
        setAttribute(Attributes.STEP_HEIGHT, 1.0d);
        boolean isOlderThan = playerData.getClientVersion().isOlderThan(ClientVersion.V_1_20_5);
        trackAttribute(ValuedAttribute.ranged(Attributes.JUMP_STRENGTH, 0.7d, 0.0d, isOlderThan ? 2.0d : 32.0d).withSetRewriter((d4, d5) -> {
            return (isOlderThan && LonAntiCheat.getInstance().getPacketEventsManager().getServerVersion().isNewerThanOrEquals(ServerVersion.V_1_20_5) && 827.7789916992188d - 0.3d != ((double) 827.479f)) ? d4 : d5;
        }));
        trackAttribute(ValuedAttribute.ranged(Attributes.MOVEMENT_SPEED, 0.22499999403953552d, 0.0d, 1024.0d));
        if (EntityTypes.isTypeInstanceOf(entityType, EntityTypes.CHESTED_HORSE)) {
            setAttribute(Attributes.JUMP_STRENGTH, 0.5d);
            setAttribute(Attributes.MOVEMENT_SPEED, 0.17499999701976776d);
        }
        if (entityType == EntityTypes.ZOMBIE_HORSE || entityType == EntityTypes.SKELETON_HORSE) {
            setAttribute(Attributes.MOVEMENT_SPEED, 0.20000000298023224d);
        }
    }
}
